Node('sim_dil_test.test',
     'simulated dil4 state machine test',
     'tcp://5000',
     )

Mod('V1',
    'frappy_psi.sim_dil.Valve',
    'condense valve',
    value='close',
    )

Mod('V2',
    'frappy_psi.sim_dil.Valve',
    'circuitshort valve',
    value='close',
    )

Mod('V3',
    'frappy_psi.sim_dil.Valve',
    'circuitshort valve',
    value='close',
    )

Mod('V4',
    'frappy_psi.sim_dil.Valve',
    'still valve',
    value='close',
    )

Mod('V5',
    'frappy_psi.sim_dil.Valve',
    'still valve',
    value='close',
    )

Mod('V7',
    'frappy_psi.sim_dil.Valve',
    'dump valve',
    value='close',
    )

Mod('V8',
    'frappy_psi.sim_dil.Valve',
    'dump valve',
    value='close',
    )

Mod('V9',
    'frappy_psi.sim_dil.Valve',
    'dump valve',
    value='close',
    )

Mod('V10',
    'frappy_psi.sim_dil.Valve',
    'dump valve',
    value='close',
    )

Mod('V11A',
    'frappy_psi.sim_dil.Valve',
    'dump valve',
    value='close',
    )

Mod('V12A',
    'frappy_psi.sim_dil.Valve',
    'dump valve',
    value='close',
    )

Mod('V13A',
    'frappy_psi.sim_dil.Valve',
    'dump valve',
    value='close',
    )

Mod('pump_He3',
    'frappy_psi.sim_dil.Valve',
    'rotary_pump_He3',
    value='close',
    )

Mod('V14',
    'frappy_psi.sim_dil.PulsedValve',
    'pulsed valve',
    value='close',
    )

Mod('V6_motor',
    'frappy_psi.sim_dil.Sensor',
    'motor valve',
    value=Param(0.0, unit='%'),
)

Mod('G1',
    'frappy_psi.sim_dil.Sensor',
    'condensline pressure',
    value=Param(0, unit='mbar')
    )

Mod('G3',
    'frappy_psi.sim_dil.Sensor',
    'dump pressure',
    value=Param(0, unit='mbar')
    )

Mod('P1',
    'frappy_psi.sim_dil.Sensor',
    'still pressure',
    value=Param(0, unit='mbar')
    )

Mod('T_oneK',
    'frappy_psi.sim_dil.Sensor',
    'temp one Kelvin chamber',
    value=Param(4, unit='K'),
    )

Mod('T_still',
    'frappy_psi.sim_dil.Sensor',
    'temp still chamber',
    value=Param(4, unit='K'),
    )

Mod('T_mix',
    'frappy_psi.sim_dil.Sensor',
    'temp mix chamber',
    value=Param(4, unit='K'),
    )

Mod('dil',
    'frappy_psi.dilution_new.DIL4',
    'dilution state machine',
    condenseline_pressure='G1',  # G1
    condense_valve='V1',         # V1
    dump_valve='V9',             # V9
    forepump='pump_He3',         # rotary_pump_He3 (24)
    condenseline_valve='V1',     # V1
    circuitshort_valve='V3',     # V3
    still_valve='V6_motor',      # V6
    pumpout_valve='V14',         # V14
    still_pressure='P1',         # P1
    dump_pressure='G3',          # G3
    oneK_temp='T_oneK',
    still_temp='T_still',
    mix_temp='T_mix',
    sorb_pump_time=30,
    )
